Subject: Re: FVWM: Auto exit of fvwm

From: "David J. Pfaltzgraff" <[email-masked]>
Date: Tue, 26 Jan 1999 20:30:52 -0500 (EST)

At 09:03  1/22/99 -0800, Kent wrote:
>
>Why not make the .xsession like this
>
>fvwm2 &
>yourapp
>
>Thus you application would control the session; when it was done
>the session would end and a new xdm login would start.
>
>- Kent

Many thanks to Kent for his suggestion.  Something simple like this helped
me get a fresh look at how fvwm works and how the m4 is built up on it.  I
was able to implement his suggestion in a few minutes and, after some
editing to eliminate the unwanted taskbar, pager, etc., got exactly what I
wanted.

The only question now is: Is there some way to get the password to echo
asterisks during entry?  Nothing important, one user expected it.

Thanks again!

Dave

--
Visit the official FVWM web page at <URL: http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Kent Howard <[email-masked]>
Date: Tue, 26 Jan 1999 17:40:53 -0800

On Tue, Jan 26, 1999 at 08:30:52PM -0500, David J. Pfaltzgraff wrote:
+----------
| At 09:03  1/22/99 -0800, Kent wrote:
| >
| >Why not make the .xsession like this
| >
| >fvwm2 &
| >yourapp
| >
| >Thus you application would control the session; when it was done
| >the session would end and a new xdm login would start.
| >
| >- Kent
| 
| Many thanks to Kent for his suggestion.  Something simple like
| this helped me get a fresh look at how fvwm works and how the m4
| is built up on it.  I was able to implement his suggestion in a
| few minutes and, after some editing to eliminate the unwanted
| taskbar, pager, etc., got exactly what I wanted.
+----------

You are very welcome; glad it worked out for you.  :)

+----------
| The only question now is: Is there some way to get the password
| to echo asterisks during entry?  Nothing important, one user
| expected it.
+----------

The xdm xlogin widget won't echo anything during password entry
because it exposes the password's length.  I briefly checked the
xdm man page to see if there was an resource that could be set to
enable feedback on password entry but there doesn't appear to be.
You'd probably have to hack it into the source if you really
wanted it.

- Kent